Package org.bukkit.block.data.type

# Interface RedstoneRail

All Superinterfaces:
  `BlockData`, `Cloneable`, `Powerable`, `Rail`, `Waterlogged`

public interface RedstoneRail extends Powerable, Rail
A type of minecart rail which interacts with redstone in one way or another.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.bukkit.block.data.Rail

`Rail.Shape`

## Method Summary

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, isFaceSturdy, isPreferredTool, isRandomlyTicked, isSupported, isSupported, matches, merge`

### Methods inherited from interface org.bukkit.block.data.Powerable

`isPowered, setPowered`

### Methods inherited from interface org.bukkit.block.data.Rail

`getShape, getShapes, setShape`

### Methods inherited from interface org.bukkit.block.data.Waterlogged

`isWaterlogged, setWaterlogged`